/*~**********************************************************************
Title........ fpga.c
Date......... Thu Feb  3 11:04:55  2000
Author....... J.M.Tarrant
Description..
***********************************************************************~*/
/****	Include Files */

	#include	"hardware.h"
	#include	"peripherals.h"

	#include	"fpga.h"

	#include	"fpga.sp"
	#include	"fpga.alc"

/****	Local Definitions */
/****	Global Variables */
/****	Local Variables */
/****	Global Constants */
//	Offsets from FPGA_REG_BASE

BYTE*const	FpgaId=FPGA_ID;
BYTE*const 	Xcra=XCRA;
BYTE*const 	Xmpx=XMPX;
BYTE*const 	Xdra=XDRA;
BYTE*const 	Xdrb=XDRB;
BYTE*const 	Xddra=XDDRA;
BYTE*const 	Xddrb=XDDRB;
BYTE*const 	Sfxr1=SFXR1;
BYTE*const 	Sfxr2=SFXR2;

BYTE*const 	Xsec=XSEC;

//	Offsets from FPGA_IO_BASE

BYTE*const 	Aux0=AUX0;
BYTE*const 	Aux1=AUX1;
BYTE*const 	Aux2=AUX2;
BYTE*const 	Aux3=AUX3;
BYTE*const 	Aux4=AUX4;
BYTE*const 	Aux5=AUX5;
BYTE*const 	Aux6=AUX6;
BYTE*const 	Aux7=AUX7;

void*const Outputs=OUTPUTS;
void*const Inputs=INPUTS;


/****	SIM40 Module configuration */

const SIM40CFG sim40_cfg=
	{
	0x608F,			/* MCR */
	0x3C,			/* SYPCR */
	0x00,			/* EVEN ADDRESS */
	0x7F00,			/* SYNCR */
	CSAM0,			/* CS0 ADR MASK   16M ROM  */
	CSBAR0,			/* CS0 BASE ADR   @ 0x00000000  */
	CSAM1,			/* CS1 ADR MASK   16M  RAM  */
	CSBAR1,			/* CS1 BASE ADR   @ 0x00010000 */
	CSAM2,			/* CS2 ADR MASK  (FD) 16M I/O etc*/
	CSBAR2,			/* CS2 BASE ADR  (01) @ 0X002000000 */
	CSAM3, 		  	/* CS3 ADR MASK   16M EXPANSION */
	CSBAR3,			/* CS3 BASE ADR   @ 0X000300000 */
	0xE8,			/* AVR */
	0x46,			/* SWIV */
	0x0640,			/* PICR */
	0x0008,			/* PITR */
	0x00,			/* PORTA */
	0xFF,			/* PPARA1 */
	0x00,			/* PPARA2 */
	0xF7,			/* DDRA */
	0xFF,			/* PORTB */
	0xF6,			/* PPARB */
	0x01			/* DDRB */
	};

/****	Timer Module configuration */

const TIMERCFG Timer1Cfg =
	{
	0x0083,		/* MCR1 SUPPV IARB = 3 */
	0x0144,		/* IR1 LEVEL2 VECTOR 0x44 */
	0x001d,		/* PREL11 15ms CYCLE */
	0xFFFF,		/* PREL21 DEFAULT */
	0x0000,		/* COM1 DEFAULT	*/
	0x020b		/* Variable duty cycle output inh sw reset	*/
	};

const TIMERCFG Timer2Cfg =
	{
	0x0082,		/* MCR2	*/
	0x0245,		/* IR2 LEVEL2 VECTOR $44 */
	0xFFFF,		/* PREL12 DEFAULT */
	0xFFFF,		/* PREL22 DEFAULT */
	0x0000,		/* COM2 DEFAULT	*/
	0x0000		/* CR2 DEFAULT */
	};


/****	DMA Module configuration */

const DMACFG DMA1Cfg =
	{
	0x4795,		/* SUPV ISM=7 MAID=1 IARB=5	*/
	0x0542,		/* LEVEL 2 vector $42 */
	0x6970,		/* MODE	*/
	0xdd		/* Function code register*/
	};

const DMACFG DMA2Cfg =
	{
	0x4784,		/* SUPV ISM=7 MAID=0 IARB=4 */
	0x0543,		/* LEVEL 5 vector $43 */
	0x6970,		/* mode	*/
	0xdd		/* Function code register*/
	};


/****	Local Constants */
/************************************************************************
*****	Functions
*************************************************************************/

/************************************************************************
*****	Options
*************************************************************************/

/************************************************************************
*****	Tasks
*************************************************************************/

/************************************************************************/
