OUTPUT_FORMAT("coff-m68k")
MEMORY {
        rom		: ORIGIN = 0x01800000, LENGTH = 0x00fffefc
        custom	: ORIGIN = 0x018ffefc, LENGTH = 0x00000004
        ram	    : ORIGIN = 0x01000000, LENGTH = 0x0000ffff
        mstack  : ORIGIN = 0x00200000, LENGTH = 0x01000000
        rstack  : ORIGIN = 0x00200000, LENGTH = 0x01000000
}
SECTIONS
{

.vectors :
	{
	vectors_start	= .;
	../../libs/hardware/pluto5/lib/81-16082/81-16082-39/vectors.o(.text)
	vectors_end		= .;
	} > rom

 .custom :
 {
    custom.o(.text)
 } > rom

.text :
	{
	text_start		= .;
	checksum_start	= .;
    *(.text)

     __CTOR_LIST__ = .;
     LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2)


    *(.ctors)
     LONG(0)
     __CTOR_END__ = .;

     __DTOR_LIST__ = .;
     LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2)
    *(.dtors)
     LONG(0)
     __DTOR_END__ = .;

    *(.lit)
    *(.shdata)
        .endcode		= .;
        endcode 		= .;
  }  > rom

 .shbss :
 {
    *(.shbss)
		text_end		= .;
		romdata_start	= .;
 } > rom


.id :
	{
	ram_start	= .;
	id_start	= .;
	*(.id)
	idram.o(COMMON);
	id_end		= .;
	} > ram

.system :
	{
	system_start	= .;
	*(.system)
	sysram.o(COMMON);
	system_end		= .;
	} > ram

.data : AT (ADDR(.shbss) + SIZEOF(.shbss))
	{
	vars_start	 	= .;
    *(.data)
    vars_end		=  .;
 	} > ram

	checksum_end		= romdata_start + SIZEOF(.data);

 .bss ram_start + 0x00004000 :
  {
     __bss_start = .;
	bss_start	= .;
	zvars_start	 	= .;
   *(.bss)
	bss_end		= .;
      end = ALIGN(0x4);
      _end = ALIGN(0x4);
    endbssram = . ;
  } > ram

  COMMON :
  {
     __common_start	= .;
   *(COMMON)
      end = ALIGN(0x4);
      _end = ALIGN(0x4);
	zvars_end	 	= .;
	zvars_size		= zvars_end - zvars_start;
    endram = . ;
  } > ram

.heap :
	{
	heap_start	= .;
	heap_end	= .;
	} > ram

.stack ram_start + 0x0000A000 :
	{
	stack_start	= .;
	stack_end	= .;
	} > ram

.safe :
	{
	safe_start	= .;
	. = . + 0x00005fff;
	safe_end	= . + 1;
	} > ram

  .mstack  : { }  > mstack
  .rstack  : { }  > rstack
  .stab  . (NOLOAD) :
  {
    [ .stab ]
  }
  .stabstr  . (NOLOAD) :
  {
    [ .stabstr ]
  }
}
